Subject: RE: MPLS and fast reroute.

From: [email-masked]
Date: Thu, 8 Jun 2000 12:52:33 +0100

This assumes one has already defined all failures and consequent actions.  I
see at least 4 possibilities, none of which are clearly defined anyway in
terms of entry/exit criteria and consequent actions (signalling for prot-sw
being but just 1 aspect):
-	simple LSP connectivity break......sourced from server layer or from
MPLS layer
-	swapped LSPs
-	mismerged (different) LSPs
-	self-mismerged LSPs (aka looping)

Warning - L1 networks can experience significant error events and then
recover.  So one can do more harm than good by prot-sw too soon.  If your
detection scheme and prot-sw are above L1 then anything much less than 2-3s
may not be very sensible.

neil 

> -----Original Message-----
> From:	Juan Diego Otero [SMTP:[email-masked]]
> Sent:	Thursday, June 08, 2000 11:20 AM
> To:	[email-masked]
> Subject:	MPLS and fast reroute.
> 
> Hi,
> 
> In IEEE Communications Magazine (December 1999), there is an article
> written
> by Tony Li called "MPLS and the Evolving Internet Architecture". In page
> 41,
> talking about fast reroute, Tony says: "...MPLS can also be used in a
> manner very similar to synchronous optical network (SONET), where no
> signaling is necessary to perform the protection switching of the LSP.
> This
> results in restoration times competitive with SONET." My question is:
> 
> Can anybody explain me how MPLS can be used as SONET in
> switching a LSP after a faliure, with no signaling?
> 
> Thanks a lot.
> 
> Diego Otero
> UPC (Universitat Politècnica de Catalunya)

---

From: Curtis Villamizar <[email-masked]>
Date: Thu, 08 Jun 2000 11:11:32 -0400

> may not be very sensible.

I think most people planning to use local protect plan to use either
MPLS local protect or SONET APS but not both.  The benefit of MPLS
local protect is that it doesn't require reserving 1/2 capacity for
protect circuits and can be applied to a subset of traffic (those
paying for better service).  Another means of protection is in the
OXC.  I don't think anyone plans to use more than one sub-100ms
protection scheme at the same time as they would interact.

People planning to use both at the same time can please correct me.

Curtis